Token payroll
Check Payroll Id Exists
Looks up a token payroll by external payroll ID and reports whether it exists and is complete.
GEThttps://api.toku.com/stablecoin-payroll/check-payroll-id-exists
Required scope: payroll:read
curl --request GET \
--url 'https://api.toku.com/stablecoin-payroll/check-payroll-id-exists?payrollId=%3CpayrollId%3E' \
--header 'Authorization: Bearer <token>'200 response
{
"exists": true,
"existingPayrollId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"isPayrollComplete": true
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
payrollIdstringrequiredAllowed: 1 to 256 characters
Response
200Successful response
existsbooleanrequiredexistingPayrollIdstring | null<uuid>requiredisPayrollCompletebooleanrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits